Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.pubsub.cluster
Class SubscriptionTask

    java.lang.Object
      org.jivesoftware.openfire.pubsub.cluster.NodeTask
          org.jivesoftware.openfire.pubsub.cluster.SubscriptionTask

All Implemented Interfaces:
  Externalizable, Serializable, Runnable, ClusterTask

Direct Known Subclasses:
  CancelSubscriptionTask, ModifySubscriptionTask, NewSubscriptionTask

    public abstract class SubscriptionTask

extends NodeTask

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jivesoftware.openfire.pubsub.cluster.NodeTask
`nodeId, serviceId`

Constructor Summary
`SubscriptionTask()`
`SubscriptionTask(NodeSubscription subscription)`

Method Summary
`org.xmpp.packet.JID` | `getOwner()`
`NodeSubscription.State` | `getState()`
`org.xmpp.packet.JID` | `getSubscriberJid()`
`NodeSubscription` | `getSubscription()`
`String` | `getSubscriptionId()`
`void` | `readExternal(ObjectInput in)`
`String` | `toString()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jivesoftware.openfire.pubsub.cluster.NodeTask
`getNode, getNodeId, getResult, getService`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.lang.Runnable
`run`

Constructor Detail

### SubscriptionTask

    public SubscriptionTask()

### SubscriptionTask

    public SubscriptionTask(NodeSubscription subscription)

Method Detail

### getSubscriptionId

    public String getSubscriptionId()

### getOwner

    public org.xmpp.packet.JID getOwner()

### getSubscriberJid

    public org.xmpp.packet.JID getSubscriberJid()

### getState

    public NodeSubscription.State getState()

### getSubscription

    public NodeSubscription getSubscription()

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `NodeTask`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `NodeTask`
  Throws:
    `IOException`
    `ClassNotFoundException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.